% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/utils.R
\name{pattern_match}
\alias{pattern_match}
\title{Match Patterns with Optional Mixing (Internal)}
\usage{
pattern_match(pattern1, pattern2, mix_patterns = FALSE)
}
\arguments{
\item{pattern1}{A character string representing the first pattern.}

\item{pattern2}{A character string representing the second pattern.}

\item{mix_patterns}{Logical; if \code{TRUE}, allows dimension order to be ignored during comparison.}
}
\value{
Logical; \code{TRUE} if the patterns match, \code{FALSE} otherwise.
}
\description{
Compares two patterns to determine if they match, with an option to allow flexible dimension order.
}
\details{
\itemize{
\item Performs case-insensitive pattern matching.
\item If \code{mix_patterns = TRUE}, allows patterns to match even if dimensions are in different order.
}
}
\seealso{
\code{\link{get_original_pattern}}, \code{\link{process_pattern}}, \code{\link{get_data_by_dims}}
}
\author{
Pattawee Puangchit
}
\keyword{internal}
